[Python-Dev] zapped several unsupported bits - now would be a good time to test

Michael Hudson mwh at python.net
Mon Feb 9 07:06:18 EST 2004

"Martin v. Löwis" <martin at v.loewis.de> writes:

> Skip Montanaro wrote:
>> While I have your attention, are you aware of any specific preprocessor
>> macros keyed to linux1?  I see the plat-linux1 directory which has to be
>> removed, but don't see "linux1" in any of the source files.
> Not that I know of. plat-linux? doesn't really fit with the other
> systems, as the major version of the kernel is much less relevant
> for applications on Linux than it is on other systems. On Linux,
> it matters much more whether you have libc 4, 5, or 6 (which, in
> principle, can be arbitrarily combined with Linux 0, 1, or 2).

There were a small bundle of bug reports from a guy with libc5 a week
or so back, so there's at least some interest in that.  OTOH, I don't
feel like putting all that much effort into fixing the problems he
reported (most of them were failry shallow, I think).


  Just point your web browser at http://www.python.org/search/ and
  look for "program", "doesn't", "work", or "my". Whenever you find
  someone else whose program didn't work, don't do what they
  did. Repeat as needed.    -- Tim Peters, on python-help, 16 Jun 1998

More information about the Python-Dev mailing list